DL_LOAD_OBJECT(3)

EXPERIMENTAL_FUNC
dl_load_object - Load shared object.

SYNOPSIS
#include <karma_dl.h>

void * dl_load_object

(CONST char *name, CONST char *dirs, char failed_object[STRING_LENGTH])

DESCRIPTION
Load shared object.

name
    The name of the shared object to load (without the ".so" extension).

dirs
    An optional list of colon-separated directories in which to search for the shared object, and any other shared objects depended upon. This may be NULL.

failed_object
    The name of the object which failed to load is written here (without the ".so" extension).

RETURN VALUE
A handle to the loaded object on success, else NULL.

Multi-threading Level
Unsafe.

AUTHOR
Richard Gooch (rgooch@atnf.csiro.au)

AVAILABLITY
The Karma Distribution is available for anonymous ftp from: ftp://ftp.atnf.csiro.au/pub/software/karma/ ftp://wuarchive.wustl.edu/graphics/graphics/packages/karma/ ftp://ftp.pwr.wroc.pl/pub/karma/ The Karma Home Page is: http://www.atnf.csiro.au/karma/